<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__disc__srvc128__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_disc_srvc128_info_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__disc__srvc128__info__t_1a03aeac10bb2857fa14d17f5ce47354ed" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_disc_srvc128_info_t::range</definition>
        <argsstring />
        <name>range</name>
        <briefdescription>
<para>Handle range of the request. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="52" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__srvc128__info__t_1abb3ab3d48a5f8dc35fe65185b933559c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__ble__uuid__t">cy_ble_uuid_t</ref></type>
        <definition>cy_ble_uuid_t cy_stc_ble_disc_srvc128_info_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>128-bit UUID </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="53" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service data received with read by group type response during discovery process including 128 bit UUID. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="449">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="450" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="451">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="450">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
      <node id="448">
        <label>cy_stc_ble_disc_srvc128_info_t</label>
        <link refid="structcy__stc__ble__disc__srvc128__info__t" />
        <childnode refid="449" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="451" relation="usage">
          <edgelabel>range</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="54" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="50" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="51" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__disc__srvc128__info__t_1a03aeac10bb2857fa14d17f5ce47354ed" virt="non-virtual"><scope>cy_stc_ble_disc_srvc128_info_t</scope><name>range</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__srvc128__info__t_1abb3ab3d48a5f8dc35fe65185b933559c" virt="non-virtual"><scope>cy_stc_ble_disc_srvc128_info_t</scope><name>uuid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>